package com.emr.service;

import com.emr.entity.ArchiveOtherExt;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArchiveOtherExtService {
    /**
     * 查ext表有无采集任务
     * @param archiveOtherExt
     * @return
     */
    List<ArchiveOtherExt> selectExtTaskIsExistOrNot(ArchiveOtherExt archiveOtherExt);

    /**
     * 添加一条记录
     * @param archiveOtherExt
     * @return
     */
    Integer insertSelective(ArchiveOtherExt archiveOtherExt);

    /**
     * 修改一条记录
     * @param archiveOtherExt
     * @return
     */
    Integer updateByPrimaryKeySelective(ArchiveOtherExt archiveOtherExt);
    /**
     * 查ext表有C1，C2，C9时间
     * @param MID
     * @return
     */
    List<ArchiveOtherExt> selectExtTime(@Param(value = "MID")String MID);
}
